import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
// import App from './App';
import MyApp from './MyApp';
import registerServiceWorker from './registerServiceWorker';
// import {combineReducers, createStore} from 'redux';
import {Provider} from 'react-redux';
import configureStore from './store/configureStore';

// import userReducer from './reducers/user-reducer';
// import productReducer from './reducers/product-reducer';

// const allReducers = combineReducers({
// 	products: productReducer,
// 	user: userReducer
// })

// const defaultState = {
// 	products: [{name: 'Apple'}],
// 	user: 'Steve'
// }

// const store = createStore(allReducers, defaultState);

const store = configureStore();

// console.log(store.getState());

// ReactDOM.render(
// <Provider store={store}>
// 	<App mynewpop="hey1"/>
// </Provider>, 
// document.getElementById('root'));

ReactDOM.render(
<Provider store={store}>
	<MyApp />
</Provider>, 
document.getElementById('root'));

registerServiceWorker();

